NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Member Functions | List of all members
NXOpen::Annotations::PmiSectionViewViewBuilder Class Reference

Represents a NXOpen.Annotations.PmiSectionViewViewBuilder. More...

Inheritance diagram for NXOpen::Annotations::PmiSectionViewViewBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool AssemblyCrosshatching ()
 Returns the assembly crosshatching
Created in NX1847.0.0. More...
 
bool AssociativePlane ()
 Returns the associative plane
Created in NX1847.0.0. More...
 
bool ClipCoplanarObjects ()
 Returns the clip coplanar objects
Created in NX1847.0.0. More...
 
bool ClipWireframeObjects ()
 Returns the clip wireframe objects
Created in NX1847.0.0. More...
 
double CrosshatchAdjacencyTolerance ()
 Returns the crosshatch adjacency tolerance
Created in NX1847.0.0. More...
 
bool RestrictCrosshatchAngle ()
 Returns the restrict crosshatch angle
Created in NX1847.0.0. More...
 
NXString SectionNamePrefix ()
 Returns the section name prefix label
Created in NX1847.0.0. More...
 
void SetAssemblyCrosshatching (bool assemblyCrosshatching)
 Sets the assembly crosshatching
Created in NX1847.0.0. More...
 
void SetAssociativePlane (bool associativePlane)
 Sets the associative plane
Created in NX1847.0.0. More...
 
void SetClipCoplanarObjects (bool clipCoplanarObjects)
 Sets the clip coplanar objects
Created in NX1847.0.0. More...
 
void SetClipWireframeObjects (bool clipWireframeObjects)
 Sets the clip wireframe objects
Created in NX1847.0.0. More...
 
void SetCrosshatchAdjacencyTolerance (double crosshatchAdjacencyTolerance)
 Sets the crosshatch adjacency tolerance
Created in NX1847.0.0. More...
 
void SetRestrictCrosshatchAngle (bool restrictCrosshatchAngle)
 Sets the restrict crosshatch angle
Created in NX1847.0.0. More...
 
void SetSectionNamePrefix (const NXString &sectionNamePrefixLabel)
 Sets the section name prefix label
Created in NX1847.0.0. More...
 
void SetSectionNamePrefix (const char *sectionNamePrefixLabel)
 Sets the section name prefix label
Created in NX1847.0.0. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen.Annotations.PmiSectionViewViewBuilder.


Created in NX1847.0.0.

Member Function Documentation

bool NXOpen::Annotations::PmiSectionViewViewBuilder::AssemblyCrosshatching ( )

Returns the assembly crosshatching
Created in NX1847.0.0.



License requirements : None

bool NXOpen::Annotations::PmiSectionViewViewBuilder::AssociativePlane ( )

Returns the associative plane
Created in NX1847.0.0.



License requirements : None

bool NXOpen::Annotations::PmiSectionViewViewBuilder::ClipCoplanarObjects ( )

Returns the clip coplanar objects
Created in NX1847.0.0.



License requirements : None

bool NXOpen::Annotations::PmiSectionViewViewBuilder::ClipWireframeObjects ( )

Returns the clip wireframe objects
Created in NX1847.0.0.



License requirements : None

double NXOpen::Annotations::PmiSectionViewViewBuilder::CrosshatchAdjacencyTolerance ( )

Returns the crosshatch adjacency tolerance
Created in NX1847.0.0.



License requirements : None

bool NXOpen::Annotations::PmiSectionViewViewBuilder::RestrictCrosshatchAngle ( )

Returns the restrict crosshatch angle
Created in NX1847.0.0.



License requirements : None

NXString NXOpen::Annotations::PmiSectionViewViewBuilder::SectionNamePrefix ( )

Returns the section name prefix label
Created in NX1847.0.0.



License requirements : None

void NXOpen::Annotations::PmiSectionViewViewBuilder::SetAssemblyCrosshatching ( bool  assemblyCrosshatching)

Sets the assembly crosshatching
Created in NX1847.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
assemblyCrosshatchingassemblycrosshatching
void NXOpen::Annotations::PmiSectionViewViewBuilder::SetAssociativePlane ( bool  associativePlane)

Sets the associative plane
Created in NX1847.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
associativePlaneassociativeplane
void NXOpen::Annotations::PmiSectionViewViewBuilder::SetClipCoplanarObjects ( bool  clipCoplanarObjects)

Sets the clip coplanar objects
Created in NX1847.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
clipCoplanarObjectsclipcoplanarobjects
void NXOpen::Annotations::PmiSectionViewViewBuilder::SetClipWireframeObjects ( bool  clipWireframeObjects)

Sets the clip wireframe objects
Created in NX1847.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
clipWireframeObjectsclipwireframeobjects
void NXOpen::Annotations::PmiSectionViewViewBuilder::SetCrosshatchAdjacencyTolerance ( double  crosshatchAdjacencyTolerance)

Sets the crosshatch adjacency tolerance
Created in NX1847.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
crosshatchAdjacencyTolerancecrosshatchadjacencytolerance
void NXOpen::Annotations::PmiSectionViewViewBuilder::SetRestrictCrosshatchAngle ( bool  restrictCrosshatchAngle)

Sets the restrict crosshatch angle
Created in NX1847.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
restrictCrosshatchAnglerestrictcrosshatchangle
void NXOpen::Annotations::PmiSectionViewViewBuilder::SetSectionNamePrefix ( const NXString sectionNamePrefixLabel)

Sets the section name prefix label
Created in NX1847.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
sectionNamePrefixLabelsectionnameprefixlabel
void NXOpen::Annotations::PmiSectionViewViewBuilder::SetSectionNamePrefix ( const char *  sectionNamePrefixLabel)

Sets the section name prefix label
Created in NX1847.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
sectionNamePrefixLabelsectionnameprefixlabel
virtual bool NXOpen::Annotations::PmiSectionViewViewBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.